Subject: Re: RFC: on [ab]use of skb->cb by VLAN code

From: Ben Greear <[email-masked]>
Date: Mon, 30 Jul 2007 22:33:18 -0700

David Miller wrote:
> From: Ben Greear <[email-masked]>
> Date: Mon, 30 Jul 2007 21:30:19 -0700
>
>   
>> So, shall we add a new field to the skb in order to get the info out of cb?
>>
>> Looks like a single 32-bit field would be sufficient.
>>     
>
> I'm trying to brainstorm how to avoid consuming new space in
> sk_buff and I'd like others to do so as well.
>
> This isn't super urgent at all so I'll just think about it
> on the backburner, things like the NAPI changes and dealing
> with all of today's networking bug fixes is my top priority
> at the moment.
>   
Ok.  From a quick look through skbuff.h, here is an idea:

Do we really need an 'unsigned int' for mac_len?  Maybe we could use
a 16-bit counter here, and then use the other 16 bits for the VLAN bits?
(I now think that only 16 bits are needed for VLAN, because it looks 
like the
NICs must know how to grab the vlan encapsulated protocol out of the 
skb??  Or,
maybe I just got confused when reading the vlan hwaccel logic...)

Thanks,
Ben

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com